usage: butterflow [options] [video]

Required arguments:
  video                 Specify the input video

General options:
  -h, --help            Show this help message and exit
  --version             Show program's version number and exit
  --cache-dir CACHE_DIR
                        Specify path to the cache directory
  -c, --cache           Show cache information and exit
  --rm-cache            Set to clear the cache and exit
  -prb, --probe         Show media file information and exit
  -v, --verbosity       Set to increase output verbosity
  -q, --quiet           Set to suppress console output

Device options:
  -d, --show-devices    Show detected OpenCL devices and exit
  -device DEVICE        Specify the preferred OpenCL device to use as an
                        integer. Device numbers can be listed with the `-d`
                        option. The device will be chosen automatically if
                        nothing is specified.
  -sw                   Set to force software rendering

Display options:
  -p, --show-preview    Set to show video preview
  -e, --embed-info      Set to embed debugging info into the output video
  -tt {light,dark,stroke}, --text-type {light,dark,stroke}
                        Specify text type for embedded debugging info,
                        (default: light)
  -m, --mark-frames     Set to mark interpolated frames

Video options:
  -o OUTPUT_PATH, --output-path OUTPUT_PATH
                        Specify path to the output video
  -r PLAYBACK_RATE, --playback-rate PLAYBACK_RATE
                        Specify the playback rate as an integer or a float.
                        Fractional forms are acceptable, e.g., 24/1.001 is the
                        same as 23.976. To use a multiple of the source
                        video's rate, follow a number with `x`, e.g., "2x"
                        will double the frame rate. The original rate will be
                        used by default if nothing is specified.
  -s SUBREGIONS, --subregions SUBREGIONS
                        Specify rendering subregions in the form:
                        "a=TIME,b=TIME,TARGET=VALUE" where TARGET is either
                        `spd`, `dur`, `fps`. Valid TIME syntaxes are [hr:m:s],
                        [m:s], [s], [s.xxx], or `end`, which signifies to the
                        end the video. You can specify multiple subregions by
                        separating them with a colon `:`. A special subregion
                        format that conveniently describes the entire clip is
                        available in the form: "full,TARGET=VALUE".
  -k, --keep-subregions
                        Set to render subregions that are not explicitly
                        specified
  -vs VIDEO_SCALE, --video-scale VIDEO_SCALE
                        Specify output video size in the form: "WIDTH:HEIGHT"
                        or by using a factor. To keep the aspect ratio only
                        specify one component, either width or height, and set
                        the other component to -1, (default: 1.0)
  -l, --lossless        Set to use lossless encoding settings
  -sm, --smooth-motion  Set to tune for smooth motion. This mode yields
                        artifact-less frames by emphasizing blended frames
                        over warping pixels.

Muxing options:
  -audio                Set to add the source audio to the output video

Advanced options:
  --fast-pyr            Set to use fast pyramids
  --pyr-scale PYR_SCALE
                        Specify pyramid scale factor, (default: 0.5)
  --levels LEVELS       Specify number of pyramid layers, (default: 3)
  --winsize WINSIZE     Specify averaging window size, (default: 25)
  --iters ITERS         Specify number of iterations at each pyramid level,
                        (default: 3)
  --poly-n {5,7}        Specify size of pixel neighborhood, (default: 5)
  --poly-s POLY_S       Specify standard deviation to smooth derivatives,
                        (default: 1.1)
  -ff {box,gaussian}, --flow-filter {box,gaussian}
                        Specify which filter to use for optical flow
                        estimation, (default: box)
